Bug 757355 - Review Request: telepathy-kde-contact-applet - Plasma applet for managing your Telepathy contacts
Review Request: telepathy-kde-contact-applet - Plasma applet for managing you...
Status: CLOSED DUPLICATE of bug 784950
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
Reported: 2011-11-26 11:41 EST by Rex Dieter
Modified: 2012-03-07 18:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-03-07 18:05:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 1 nucleo 2011-11-26 12:40:28 EST
"BuildRequires: desktop-file-utils" is not needed because .desktop file installed in %{_kde4_datadir}/kde4/services/.

"%{?_kde4_version:Requires: kdelibs4%{?_isa} >= %{_kde4_version}}" can be added.

And looks like "BuildRequires: telepathy-qt4-devel" missed.

Most of code is LGPLv2+ but config.cpp, config.h, contact-wrapper.cpp, contact-wrapper.h, telepathy-contact.cpp, telepathy-contact.h is GPLv2+ - maybe this is mistake?
Comment 2 Rex Dieter 2011-11-26 13:06:51 EST
Spec URL:

* Sat Nov 26 2011 Rex Dieter <rdieter@fedoraproject.org> 0.2.0-2
- BR: +telepathy-qt4-devel, -desktop-file-utils

keeping License: GPLv2+ 
that's the current value for mixing LGPLv2+, GPLv2+ sources
Comment 3 nucleo 2011-11-26 14:31:31 EST
Is .qml plasmoid form plasmoids/org.kde.telepathy-contact/ should work in KDE 4.7?
Comment 4 Rex Dieter 2011-12-21 15:06:19 EST
Not sure, yes? :)
Comment 5 nucleo 2012-03-07 18:05:38 EST

*** This bug has been marked as a duplicate of bug 784950 ***

Note You need to log in before you can comment on or make changes to this bug.